- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Structures | Namespaces
traits.hpp File Reference
`#include <complex>`
`#include <af/defines.h>`
`#include <af/complex.h>`

Go to the source code of this file.

## Data Structures
struct | dtype_traits< T >
struct | dtype_traits< float >
struct | dtype_traits< af::cfloat >
struct | dtype_traits< std::complex< float > >
struct | dtype_traits< double >
struct | dtype_traits< af::cdouble >
struct | dtype_traits< std::complex< double > >
struct | dtype_traits< char >
struct | dtype_traits< int >
struct | dtype_traits< unsigned >
struct | dtype_traits< unsigned char >
struct | dtype_traits< long long >
struct | dtype_traits< unsigned long long >

## Namespaces
| af